;; SKK English tutorial text (version 1.1, 1992.6.26)
;; Copyright (C) 1992 Masahiko Sato (masahiko@sato.riec.tohoku.ac.jp)
;; 
;; This is the tutorial text for SKK Version 6.1 and and later versions.
;; 
;; Permission is granted to make and distribute verbatim copies of
;; this tutorial text provided the copyright notice and this permission notice
;; are preserved on all copies.
;; 
;; Permission is granted to copy and distribute modified versions of this
;; tutorial text under the conditions for verbatim copying, provided that 
;; the entire resulting derived work is distributed under the terms of a 
;; permission notice identical to this one.
;; 
;; Permission is granted to copy and distribute translations of this tutorial
;; text into another language, under the above conditions for modified
;; versions, except that this permission notice may be stated in a
;; translation approved by Masahiko Sato.
----
;; (skk-test-name)
== How to use the SKK tutorial ==

SKK is a software system that provides a very fast and efficient Japanese
input environment for Nemacs.  As it is implemented based on a very simple
principle, you can master the usage of SKK quickly. This tutorial explains
SKK assuming that you know enough about Nemacs.

You will learn the usage of SKK by solving problems.  The bottom line of
each Problem Window will begin with >>.  You have to make a line which
has the same content as that line in the Solution Window. When you are
done, type C-x n(Next).  (C-x means <control-x>, that is, typing
x key holding the control key.)  If your solution is correct, the
window will be updated and you will proceed to the next problem.

Type C-x q(Quit) if you wish to quit the tutorial.  Type C-x s
(Skip) if you wish to skip the problem.

>> 
----
== Invoking SKK,  mode ==

In the following, if you encounter lines beginning with !!, follow the
instructions there.

You can invoke SKK by typigC-x C-j.  Let's try that.

!! Type C-x C-j.

Note that the left end of the mode line of the Solution Window is now
ڤʡ.  This mode is called  mode.  In this mode, lower case latin
letters are interpreted as Romaji (޻) and will be converted to the
corresponding hirakanas.  For instance, if you type  aiueo, you will
get ڤ.  (In  mode, don't use upper case latin characters
until we explain about them.)

>> 
----
== From  mode to ASCII mode ==

You can move from  mode to ASCII mode by typing l(for latin).

!! Type l now.

Note also how the mode line changed.

In ASCII mode, keys will be interpreted as ordinary Emacs commands. It is
almost identical with the state you were in just befor you invoked SKK,
and we will explain the tiny difference soon.  In ASCII mode, you will see
SKK: in the mode line, and this is to indicate that SKK has been
invoked in this buffer.

>> Now we are in ASCII mode.
----
== From ASCII mode to  mode. ==

You can move from ASCII mode to  mode by typing C-j.  In summary:

	 l  :  --> ASCII
	C-j : ASCII --> 

>> ASCII  
----
==  mode ==

Input of katakana () is done in  mode.  You can move
between  mode and  mode by typing q(for qana = /
(^_^)).

	q :  --> 
	q :  --> 

>> Ҥ餫   Ƥޤ Ҥ餫
----
== How to input ڤ ==

ڤ can be input by nn or n'.  If it will be followed by a
consonant other than n or y, you may simply type n.

>> ʤ󤸤ؤ󤫤
----
== How to imput small Ҥ餫 characters==

You can enter each small hirakana character by prefixing x to its
romaji representation, e.g.:

	xa==>ڤۡxya==>ڤ

However, in most cases, you can enter them like this:

	chotto==>ڤäȡۡtyotto==>ڤäȡ

>>  äΤ
----
== Input of long vowel ==

A long vowel may be entered by using:

	-==>ڡ

>> 
----
==  (zenei) mode ==

Zenkaku (, square shaped) character strings like ڣӣˣˡ may be
entered in  (zenei) mode.  In  mode, latin characters a-z 
and A-Z are input as square shaped alphabets (normally occupying
double horizontal space compared to ASCII characters).  From either  
mode or  mode, you can move to  mode by typing L(for Large
sized Latin).  From  mode, you can return to / mode by C-j.

	 L  : / -->   
	C-j :       --> /

>> ӣˣˤĤΤϣΣǤ
----
== Summary up to this point ==

You can invoke SKK by C-x C-j.  SKK has four modes:

	ASCII mode,  mode,  mode,  mode

You can change modes as follows:

	ASCII  == C-j ==>  /  == l ==> ASCII

	 <== q ==> 

	   == C-j ==>  /  == L ==> 

>> ӣˣˤˤ ASCII⡼  ʥ⡼  ʥ⡼  󤨤⡼ 
----
;; (skk-test-today)
==  mode ==

In  mode, the following keys have special meanings.  Other keys such
as C-a, % are interpreted as ordinary Emacs keys.  This is also
the case for  mode.  The problem here is a bit tricky, but you should
be able to solve it by reading the following carefully.

	lqxL		Already explained.
	Other small alphabets.	Interpreted as romaji, and entered as .
	Big alphabets.		Enter kana-to-kanji conversion mode.
	/			Enter ASCII conversion mode. (To be explained.)
	,			Input as ڡ.
	.			Input as ڡ.
	@			Input today's date.
	[ and ]			Input asڡ֡ and ڡס.

>> 
----
;; (skk-enable)
== Kana-to-kanji conversion ==

Kana-to-kanji conversion is done in  mode.

!! If you are not in  mode now, change mode to  mode, and type
!! Kanji.  (Note that the first character is an uppercase character.)

The window should become ڢ󤸡.  You are in  mode now.

!! Now hit <space> key.

You have: ڢ.  You are in  mode now.

!! Type C-j.

You have solved the following problem!

>> 
----
;; (skk-use-jisyo " ///ƻ/\n")
Let's try another one.

!! If you are not in  mode now, change mode to  mode, type
!! Kanji, and then hit <space> key twice.

The window should change as follows:

	ڢ󤸡 ==> ڢ ==> ڢ

!! Type C-j.

You got the solution!

>> 
----
;; (skk-use-jisyo " ///ƻ/\nˤ夦礯 //\n褦 /ư/Ѱ/\n")
This one is slightly more complicated, so type carefully.  آ will
denote a <space> key.  If you see آ, for instance, type <space> key
twice.

!! Change mode to  mode if necessary and type
!! KanjinoNyuuryokuhaYouidesu..

>> ϤưפǤ
----
;; (skk-use-jisyo " ///ƻ/\n")
!! In  mode, type kanji.

You get ڤ󤸡.  Suppose, however, that you should have typed Kanji.
You can delete 3 characters backwards and type Kanji in such a case.
But, there is also the following alternative way to achieve the same effect.

!! Type C-b(backward-char) 3 times.

Cursor is now on ڤ.

!! Type Q.

ڢ is inserted before ڤ, and you are in  mode.

!! Type C-e(end-of-line), آ(<space>), and C-j.

>> 
----
== Sub modes of  mode ==

 mode is divided into two submodes: hirakana no-conversion mode and
conversion to Kanji mode.  Hirakana no-conversion mode will be referred to
as  mode.  Conversion to kanji mode is further divided into two modes: 
 mode and  mode.  Namely,  mode is divided into three submodes:

	 mode,  mode,  mode

In  mode, lower case romaji characters you type are converted to
hirakanas and are inserted into the buffer.  These hirakanas are not
converted to Kanji anymore.   mode is the basic mode of SKK and you
should remember this point.

>> Ҥ餫ʤƤˤ夦礯ϡʤɤ⡢󤷤夦Ƥޤ
----
;; (skk-use-jisyo "󤿤 ///\n")
==  mode and  mode ==

Kana-to-kanji conversion in SKK is done as follows.
	1 Determine the string which is the source of conversion. ( mode)
	2 Show candidates of conversion for the source. ( mode)
	3 Select the candidate you want and finish the conversion. ( mode)
As we have already seen, in the case of entering ڴ, the source
string of the conversion is ڤ󤸡.  If you type Kanji, ڤ󤸡 
will be entered in  mode.  If you hit <space> in  mode, the string
between ڢ and the cursor becomes the source of the conversion.  At
the same time, the mode becomes  mode and the first candidate will be
shown.  In  mode, <space> displays the next candidate.  If you type 
C-j in  mode, the current candidate becomes the final result of the
conversion, and the mode becomes  mode.

Hint: (󤿤), (󤿤)

>> פ򤹤롣
----
;; (skk-use-jisyo " //\n //\n礦 //\n")
Modes related to SKK usually change as follows.

	 == Upper case char. ==>  == <space> ==>  == C-j ==> 

	 == C-j ==> 

is used to go back to  mode when you enter  mode by mistake.

	 == <return> and all the pritable keys  ==> 

means that these keys automatically select the current candidate as the
final result of converersion.  This action is called kakutei (). Let
us try this.

!! Type Kyouto,Oosaka,Koube. in  mode.  Recall that
!! آ denotes a <space> key.

>> ԡ塢͡
----
;; (skk-use-jisyo "ؤ󤫤 /Ѵ/\n ///\n /̾/\n")
We have learned that, in  mode, <return> and all the printable keys
cause kakutei as side effects.

Moreover, if you type any upper case character other than L, the
current candidate becomes the final result and enter  mode.

	 == upper case char. other than L ==> 

!! Type KanaKanjiHenkan. in  mode.

>> ̾Ѵ
----
;; (skk-use-jisyo "ؤ󤫤 /Ѵ/\n ///\n /̾/\n")
!! Type Kanakanjihenkan in  mode.

Your window becomes ڢʤ󤸤ؤ󤫤 and you should see the prompt:
	ʤ󤸤ؤ󤫤
in the echo area.  In  mode, the source string to be converted is
already fixed.  In our case, SKK tried to convert the string ڤʤ
ؤ󤫤, but could not found it in the Jisho (, dictionary) buffer.
In such a case, SKK automatically enters register-a-word-to-dictionary
mode (this mode will be referred to as Ͽ mode).
  In Ͽ mode, the string for which the conversion failed becomes the
key word (Ф, midashigo) for the new entry to be registered to 
buffer.

!! Verify that the cursor is in the echo area, and type
!! KanaKanjiHenkan followed by <return> key.

>> ̾Ѵ
----
;; (skk-use-jisyo "ʤ󤸤ؤ󤫤 /̾Ѵ/\nؤ󤫤 /Ѵ/\n ///\n /̾/\n")
We have just added the line

	ʤ󤸤ؤ󤫤 /̾Ѵ/

to the  buffer.  We can verify this as follows.

!! Type Kanakanjihenkan in  mode, and
!!  (kakutei, finalize) it by C-j.

>> ̾Ѵ
----
;; (skk-use-jisyo "ʤ󤸤ؤ󤫤 /̾Ѵ/\nؤ󤫤 /Ѵ/\n ///\n /̾/\n")
== empty Ͽ (registration) ==

If you enter Ͽ mode by mistake, you can abort it by hitting C-g 
or by registering an empty string.

!! Type Kanakanjihenken in  mode.

 does not contain ڤʤ󤸤ؤ󤱤, so you get ڤʤ󤸤ؤ
 in the echo area.

!! Veriry that the cursor is in the echo area, and hit <return>.

The ** window now becomes ڢʤ󤸤ؤ󤱤.

!! Verify that the cursor is in the ** window.  Hit <delete> key
!! twice, and then type kan..

>> ̾Ѵ
----
;; (skk-use-jisyo " ///////////////////\n")
We assume that  contains the line:

	 ///////////////////

You can enter ڸ as follows.

!! Type Go in  mode. (You have to hit <space> 6 times.)

You now see the line:

	A:  S:  D:  F:  J:  K:  L:  [Ĥ 0]

in the echo area.  As we have just seen, after the fifth candidate, 7 of
them are displayed together in the echo area.  To select ڸ, type
small d.

>> 
----
;; (skk-use-jisyo " ///////////////////\n")
!! Type Go in  mode.

This time ڸ is displayed as the first candidate.  This is because we
have kekutei-ed by that character.  But we want ڸ this time.

!! Type آ. (6 <space>'s.)

We entered Ͽ mode as we ran out of kouhos.  Actually ڸ was
among the candidated but we had overrun.

!! Hit <return> key and type x.

<return> key registers an empty string (which actually does no real
registration) and we return to the state just before Ͽ. In  mode,
we can return to previous candiate(s) by the x key.  You should now be
able to select ڸ from the candidates in the minibuffer.

>> 
----
;; (skk-use-jisyo " ///////////////////\n")
We try ڸ this time.

!! Type Gogoin  mode.

As there is no ڤ in the  buffer, we enter Ͽ mode.

!! Verify that the minbuffer prompt is ڤ, and type Go.

Minibuffer becomes ڤ .

!! Then, type Goj.

We have ڤ  in the minibuffer.

!! Hit <return> key.

>> 
----
;; (skk-use-jisyo " //\n ///////////////////\n")
We now have the entry ڤ // in the   buffer.  So the
following problem should be easy.

>> θ롣
----
;; (skk-use-jisyo " ////\n //////\nƤ /Ū/Ũ/ũ/Ŭ/Ŧ/\n //Ͻ/\nȤ /Ͽ/\n夦 /ؽ/\n")
== Recursive Ͽ ==

!! Type Saikiteki in  mode.
!! Verify the prompt ڤƤ in the echo area, and type Saiki.

We don't have ڤ in the minibuffer either, so we recursively
(i.e., ƵŪ) enter Ͽ mode.

!! Construct ںƵ in the minibuffer.  (Hint: (), ())
!! Hit <return> key after you have ڤ Ƶ in the minibuffer.

Now we can continue the registration of ڤƤ.

!! You should have ڤƤ Ƶ in the minibuffer. Construct Ū.

Hint: (), Ͽ(Ȥ), ؽ(夦)
>> ƵŪϿؽޤ
----
;; (skk-use-okuri-jisyo "k /ư/\n")
== How to enter words with okurigana ==

Words like ư have okurigana parts, and SKK  have entries like:

	k /ư/

for these words.  We make use of these entries to enter words with
okuriganas.

!! in  mode, type UgoKounimoUgoKenakatta..

Some nouns become verbs by affixing them with ֤, but for such verbs
it is recommened to enter the original noun and the okurigana part
separately.

>> ưˤưʤä
----
;; (progn (skk-use-jisyo "ɤ /ư/\n") (skk-use-okuri-jisyo ""))
== How to register words with okurigana ==

Let's see what happens if the  does not have ֤k as Ф.

!! In  mode, typeUgoKu.

We enter Ͽ mode in the minibuffer, and we have the prompt ڤ* 
.  As the  has the entry ֤ɤ /ư/, we can make ư in the
minibuffer.

Remark: You have only to construct the main part without the okurigana,
in the minibuffer.

!! Hit <return> key after you have ư in the minibuffer.

>> ư
----
;; (progn (skk-use-jisyo "󤳤 /͸/\n /첯/\n") (skk-use-okuri-jisyo "Ĥt //\nۤs //\ns /ã/\nt //\n"))
== How to enter words containing double consonants. ==

We do this like the following:

	TukaTta  ڻȤä
	HosSuru  ߤ

where our  is like:

	Ĥt //
	ۤs //

Hint: ͸(󤳤), 첯(), ã(ä), Τä(ä)

>> ͸첯ãȤΤä
----
;; (skk-use-jisyo "Ȥ /Ͽ/\n")
== ASCII conversion ==

It is possible to enter Ф in ascii charaters, and tranform them.
This is called ֱѻѴ(ASCII conversion).

!! In  mode, type /file.

Typing / in  mode lets you enter  mode.  Unlike ordinary  mode,
however, the ascii characters you type will be entered without any
transoformations.  In this case, our  does not have the Ф 
file, we enter Ͽ mode.

!! Verify that the prompt in the minibuffer is file, and type
!! qfairu, and then hit <return> key.

>> ֥եפϿޤ
----
;; (skk-use-jisyo " /////////////////////////////////////////////////////////////////////////////////////////////////////////////\n")
== Symbols ==

The following symbols are registered in the  under the Ф 
֤.

                            
                          
                          
                         
                            

>> 980
----
;; (skk-use-jisyo "greek /////////////////////////\nGreek /////////////////////////\nrussia //////////////////////////////////\nRussia //////////////////////////////////\n")
== Greek and Russian characters ==

They are registered in the  as follows.

Greek /////////////////////////
greek /////////////////////////
Russia //////////////////////////////////
russia //////////////////////////////////

We can use ѻѴ (ASCII conversion) to enter these characters.

>> Ŧ
----
;; (skk-use-jisyo "Ȥۤ //\nȤ //\nۤ //\n ////\n")
== Input by code ==

You can enter any Kanji characters by their codes (either JIS or EUC).

For example, the JIS code for ܡ is 555C.  So you can enter it as
follows.

!! In  mode, type \.

You get the prompt JIS or EUC code: (00nn or CR for Jump Menu).

!! Type 555c and hit <return> key.

Hint: (Ȥۤ), ()

>> 
----
;; (skk-use-jisyo "Ҥ /Ե/\n")
== Completion of Ф ==

Hitting <tab> key in  mode invokes completion of Ф.  Let  be
the string you entered in  mode just befor you type <tab>.  Then the
first occurrence (if any) of such a  in the  buffer that has  as
its initial segement and distinct from  will be displayed.

!! In  mode, type konoHikoukiyorianoHi.

The display becomes ڤԵꤢ΢ҡ.

!! Now, hit <tab> key.

Completion is performed and the display becomes 
ڤԵꤢ΢Ҥ.

>> ԵꤢԵˤ褦
----
;; (skk-use-jisyo "Ȥ /ƣ/\nȤ /ƣ/\n /ǽ/\nߤ礦 /̾/\n")
The Ф search for the completion is performed starting from the
beginning of the  buffer.  Therefore, if there are several Ф 
in the  buffer whose initial segment matches , then the first such
string will be displayed.  If that is not what you expected, you can type 
.(period) to get the second candiate, and you can continue to type .
to get more candates.  If you have overrun, you can back up by typing 
,(comma) several times. 

Let us try to enter the sentence ֺƣȺƣǤϺƣΤۤդ줿̾
.

!! In  mode, type SatoutoSaitoudehaSa and hit <tab> key.

The display becomesںƣȺƣǤϢȤ.

!! Type ..,.

>> ƣȺƣǤϺƣΤۤդ줿̾
----
;; (skk-use-jisyo "夦礦 /λ/\n")
When SKK is invoked for the first time in the current Nemacs session, it
reads in your personal  file into the  buffers.  (We use two
 buffers, one for words with okurigana, and for those without
okurigana.)  A  buffer will be updated each time you make a kakutei.
When you exit from Nemacs, SKK saves the content of the  buffer into
your personal  file.  So, normally, you don't have to worry about
savings of the  buffers.  When SKK updates your personal  file
(.skk-jisyo) it copies the content of the current .skk-jisyo to
.skk-jisyo.BAK.  This back up file may be useful if your .skk-jisyo is
damaged accidentaly.

SKK has a lot more features we couldn't explain in this short tutorial.
For further information about SKK refer to the SKK manual.

Here is your last problem.  Hint: λ(夦礦)

>>  SKK 塼ȥꥢλޤ
----
;; (skk-end-of-tutorial)

;; Local Variables:
;; mode:skk-auto-fill-t
;; fill-column:74
;; End:
